/**
 * @file file_utils.h
 * @author Piotr Krygier (everyonecancode@gmail.com)
 * @brief Common functionality for all modules
 * @version 0.1
 * @date 2026-02-11
 *
 * @copyright Copyright (c) 2023
 *
 */

#ifndef TIME_UTILS_H_
#define TIME_UTILS_H_

#include "commons.h"

rse_err_t time_init(void);
void time_update(void);

double time_get_sec_from_start(void);

double time_get_dt(void);

#endif // !TIME_UTILS_H_
